Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(7678)

Unified Diff: chrome/installer/linux/sysroot_scripts/sysroot-creator-test.sh

Issue 271853003: Add support for building Ubuntu/Trusty sysroot images. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 6 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: chrome/installer/linux/sysroot_scripts/sysroot-creator-test.sh
diff --git a/chrome/installer/linux/sysroot_scripts/sysroot-creator-test.sh b/chrome/installer/linux/sysroot_scripts/sysroot-creator-test.sh
new file mode 100755
index 0000000000000000000000000000000000000000..c4c6a5051d751e3d19e1eee45c13ed684f6317c6
--- /dev/null
+++ b/chrome/installer/linux/sysroot_scripts/sysroot-creator-test.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Copyright (c) 2013 The Chromium Authors. All rights reserved.
Lei Zhang 2014/05/13 19:57:53 no (c), also it's half way through 2014 now ;)
Sam Clegg 2014/05/13 20:13:22 Done.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+#
+# Rudimentry test suite for sysroot-creator.
+
+SCRIPT_DIR=$(dirname $0)
+
+set -o errexit
+
+TestUpdateAllLists() {
+ echo "[ RUN ] TestUpdateAllLists"
+ $SCRIPT_DIR/sysroot-creator-trusty.sh UpdatePackageListsAmd64
Lei Zhang 2014/05/13 19:57:53 quotes
Sam Clegg 2014/05/13 20:13:22 Done.
+ $SCRIPT_DIR/sysroot-creator-trusty.sh UpdatePackageListsI386
+ $SCRIPT_DIR/sysroot-creator-trusty.sh UpdatePackageListsARM
+ $SCRIPT_DIR/sysroot-creator-wheezy.sh UpdatePackageListsAmd64
+ $SCRIPT_DIR/sysroot-creator-wheezy.sh UpdatePackageListsI386
+ $SCRIPT_DIR/sysroot-creator-wheezy.sh UpdatePackageListsARM
+ echo "[ OK ]"
+}
+
+TestUpdateAllLists

Powered by Google App Engine
This is Rietveld 408576698